package cn.forevermc.launcher.view.pages;

import cn.forevermc.launcher.view.components.AbstractPane;
import javafx.scene.image.ImageView;
import javafx.scene.layout.StackPane;

/**
 * 启动中过渡面板
 *
 * @author 夜雨
 * @since 2022-11-28 21:19
 */
public abstract class LaunchingPane extends AbstractPane {

	protected StackPane root;
	protected ImageView mojang;

	public LaunchingPane() {
		mojang = new ImageView();
		mojang.setOpacity(0);

		root = new StackPane(mojang);
		root.setOpacity(0);

		setCenter(root);
	}
}
